_G = GLOBAL
TUNING = _G.TUNING

function AddEternalFn(inst)
	if not GLOBAL.TheWorld.ismastersim then
		return inst
	end

	inst:AddTag('eternal')

	if inst.components.fueled then
		if inst.components.inventoryitem then
			local old_ondropfn = inst.components.inventoryitem.ondropfn
			inst.components.inventoryitem:SetOnDroppedFn(function(inst)
				old_ondropfn(inst)
				inst.components.fueled:StopConsuming()
			end)
		end

		-- if inst.components.equippable then
		-- 	local old_onequipfn = inst.components.equippable.onequipfn
		-- 	inst.components.equippable:SetOnEquip(function(inst, owner)
		-- 		old_onequipfn(inst, owner)
		-- 		inst.components.fueled:StopConsuming()
		-- 	end)
		-- end

		inst.components.fueled:StopConsuming()
	end
end

AddPrefabPostInit('winter_ornament_light1', AddEternalFn)
AddPrefabPostInit('winter_ornament_light2', AddEternalFn)
AddPrefabPostInit('winter_ornament_light3', AddEternalFn)
AddPrefabPostInit('winter_ornament_light4', AddEternalFn)
